Subject: Re: bug#36252: 26.1; bibtex-generate-autokey does not use use date field

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 14:19:23 +0100

Patrick M. Niedzielski <[email-masked]> writes:

> I’d like to reopen this bug, and submit the attached patch which I
> believe fixes the issue.

OK, reopened.

> This patch teaches ‘bibtex-generate-autokey’ to prefer an
> ISO8601-formatted ‘date’ field when present, and fall back to a
> ‘year’, and is implemented using Lars’ ISO8601 parsing functions.

Looks reasonable to me.  I've added Roland to the Cc's; perhaps he has
some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no